Package com.independentsoft.office.word

# Class GlossaryDocumentEntryBody

java.lang.Object
com.independentsoft.office.word.GlossaryDocumentEntryBody

public class GlossaryDocumentEntryBody extends Object
The Class GlossaryDocumentEntryBody.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlossaryDocumentEntryBody()`
  Instantiates a new glossary document entry body.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(CustomXml customXml)`
  Adds the.
  `void`
  `add​(StructuredDocumentTag structuredDocumentTag)`
  Adds the.
  `void`
  `add​(IBlockElement contentElement)`
  Adds the.
  `void`
  `add​(Paragraph paragraph)`
  Adds the.
  `void`
  `add​(Table table)`
  Adds the.
  `GlossaryDocumentEntryBody`
  `clone()`
  `List<IBlockElement>`
  `getContent()`
  Gets the content.
  `List<IContentElement>`
  `getContentElements()`
  Gets the content elements.
  `Section`
  `getSection()`
  Gets the section.
  `void`
  `setSection​(Section section)`
  Sets the section.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GlossaryDocumentEntryBody

    public GlossaryDocumentEntryBody()
    Instantiates a new glossary document entry body.

- ## Method Details

  - ### add

    public void add​(Paragraph paragraph)
    Adds the.
    Parameters:
      `paragraph` - the paragraph

  - ### add

    public void add​(Table table)
    Adds the.
    Parameters:
      `table` - the table

  - ### add

    public void add​(CustomXml customXml)
    Adds the.
    Parameters:
      `customXml` - the custom xml

  - ### add

    public void add​(StructuredDocumentTag structuredDocumentTag)
    Adds the.
    Parameters:
      `structuredDocumentTag` - the structured document tag

  - ### add

    public void add​(IBlockElement contentElement)
    Adds the.
    Parameters:
      `contentElement` - the content element

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Gets the content elements.
    Returns:
      the content elements

  - ### clone

    public GlossaryDocumentEntryBody clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getContent

    public List<IBlockElement> getContent()
    Gets the content.
    Returns:
      the content

  - ### getSection

    public Section getSection()
    Gets the section.
    Returns:
      the section

  - ### setSection

    public void setSection​(Section section)
    Sets the section.
    Parameters:
      `section` - the new section